Qt Reference Documentation

# QDragLeaveEvent Class Reference

The QDragLeaveEvent class provides an event that is sent to a widget when a drag and drop action leaves it. More...

     #include <QDragLeaveEvent>

Inherits: QEvent.

- List of all members, including inherited members

## Public Functions

| QDragLeaveEvent ()

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QDragLeaveEvent class provides an event that is sent to a widget when a drag and drop action leaves it.

This event is always preceded by a QDragEnterEvent and a series of QDragMoveEvents. It is not sent if a QDropEvent is sent instead.

See also QDragEnterEvent, QDragMoveEvent, and QDropEvent.

## Member Function Documentation

### QDragLeaveEvent::QDragLeaveEvent ()

Constructs a QDragLeaveEvent.

Warning: Do not create a QDragLeaveEvent yourself since these objects rely on Qt's internal state.